# append method

Future<Writer> append(

1. int c

)

Appends the specified character to this writer.

An invocation of this method of the form `writer.append(c)` behaves in exactly the same way as the invocation `writer.writeChar(c)`.

## Parameters

- `c`: The character to append

## Returns

This writer

## Example

    final writer = FileWriter('output.txt');
    try {
      await writer.append(72)  // 'H'
                 .append(101) // 'e'
                 .append(108) // 'l'
                 .append(108) // 'l'
                 .append(111); // 'o'
      await writer.flush();
    } finally {
      await writer.close();
    }

Throws IOException if an I/O error occurs. Throws StreamClosedException if the writer has been closed.

## Implementation

    Future<Writer> append(int c) async {
      await writeChar(c);
      return this;
    }